#pragma once

#include <vectors/vec2.h>

namespace game{

class Path
{
private:
    bool looped;

    float GetLoopedTime(float delta);
public:
    vec2f GetPosition(float delta);
}

class LinearPath: public Path
{
private:
    vec2f startPosition;
    vec2f endPosition;

    float GetLoopedTime(float delta);

public:
    vec2f GetPosition(float delta);
}

}
